Skip to main content
POST
/
private-records
/
{record_id}
/
analytics
Create private record analytics
curl --request POST \
  --url https://api.mycreditapp.ai/v1-beta/private-records/{record_id}/analytics \
  --header 'Authorization: Bearer <token>' \
  --header 'Requester-Organization-ID: <requester-organization-id>' \
  --header 'Target-Organization-ID: <target-organization-id>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "in_progress",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "analyzed_on": "2025-01-15T12:00:00.123456"
}

Authorizations

Authorization
string
header
required

Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.

Headers

Requester-Organization-ID
string<uuid>
required

The unique identifier of the organization making the request. This ID is used to authorize the requester within the system.

Example:

"054b4106-174b-46b0-97f8-86d8d7b6f0af"

Target-Organization-ID
string<uuid>
required

The unique identifier of the organization that is the target of the request. The Target-Organization-ID may match the Requester-Organization-ID if the requester accesses their own resources. If the Target-Organization-ID differs from the Requester-Organization-ID, the requester can access third-party resources if the requester has a connection with the target organization and is authorized to perform such actions.

Example:

"123e4567-e89b-12d3-a456-426614174000"

Path Parameters

record_id
string<uuid>
required

Unique identifier of the private record

Example:

"b25e7b65-e46a-40d5-a0f2-0de8c2b354aa"

Response

Successful Response

id
string<uuid>
required

Unique identifier of the analytics record

Example:

"f6e12345-6789-4abc-def0-1234567890ab"

status
enum<string>
required

Status of the analytics process

Available options:
in_progress,
processing,
success,
failed
created_at
string<date-time>
required

Timestamp when the analytics record was created

Example:

"2025-01-01T12:00:00.123456"

updated_at
string<date-time>
required

Timestamp when the analytics record was last updated

Example:

"2025-01-10T12:00:00.123456"

analyzed_on
string<date-time> | null

Timestamp when analytics was performed

Example:

"2025-01-15T12:00:00.123456"